package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DeleteTelephoneNumber
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DeleteTelephoneNumber   {
  @JsonProperty("forceDelete")
  private Boolean forceDelete;

  public DeleteTelephoneNumber forceDelete(Boolean forceDelete) {
    this.forceDelete = forceDelete;
    return this;
  }

  /**
   * Other configurations depending on this number (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this number is already used in some other configurations.
   * @return forceDelete
  */
  @ApiModelProperty(required = true, value = "Other configurations depending on this number (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this number is already used in some other configurations.")
  @NotNull


  public Boolean getForceDelete() {
    return forceDelete;
  }

  public void setForceDelete(Boolean forceDelete) {
    this.forceDelete = forceDelete;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeleteTelephoneNumber deleteTelephoneNumber = (DeleteTelephoneNumber) o;
    return Objects.equals(this.forceDelete, deleteTelephoneNumber.forceDelete);
  }

  @Override
  public int hashCode() {
    return Objects.hash(forceDelete);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeleteTelephoneNumber {\n");
    
    sb.append("    forceDelete: ").append(toIndentedString(forceDelete)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

